List:General Discussion« Previous MessageNext Message »
From:Paul DuBois Date:January 11 2003 7:07pm
Subject:Re: PHP4 Secure connection parameters
View as plain text  
At 9:09 -0700 1/11/03, David Rock wrote:
>I'm trying to use SSL connections with MySQL 4.0.8-MAX and FreeBSD 4.6 using
>the online manual and have a question about section 4.3.9.2 Requirements
>"Configure MySQL with --with-vio --with-openssl".  Since I installed the MAX
>version isn't it already "SSL ready"?  Where do I add the --with-vio
>--with-openssl parameters and does --with-openssl need a path also?  What
>should it point to?  Any help appreciated.

--with-vio and --with-openssl are for configuring from source.  If you
installed a -max server from a binary version, those options don't apply.

To see whether your server is SSL capable, use this query:

mysql> SHOW VARIABLES LIKE 'have_openssl';
+---------------+-------+
| Variable_name | Value |
+---------------+-------+
| have_openssl  | YES   |
+---------------+-------+

If it is, you'll see YES.  If not, you'll see NO or no output at all.


>
>Thanks,
>David Rock
>

Thread
PHP4 Secure connection parametersDavid Rock11 Jan
  • Re: PHP4 Secure connection parametersPaul DuBois11 Jan
RE: PHP4 Secure connection parametersDavid Rock12 Jan
  • RE: PHP4 Secure connection parametersPaul DuBois12 Jan
RE: PHP4 Secure connection parametersDavid Rock13 Jan